Name:		python-tftpy
Version:	0.6.2
Release:	7%{?dist}
Summary:	TFTPy is a pure Python implementation of the Trivial FTP protocol

Group:		Development/Languages
License:	MIT
URL:		http://sourceforge.net/projects/tftpy/
Source0:	http://downloads.sourceforge.net/tftpy/tftpy-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	python2-devel, python2-setuptools


%global _description\
Tftpy is a TFTP library for the Python programming language. It includes\
client and server classes, with sample implementations. Hooks are included\
for easy inclusion in a UI for populating progress indicators. It supports\
RFCs 1350, 2347, 2348 and the tsize option from RFC 2349.\


%description %_description

%package -n python2-tftpy
Summary: %summary
%{?python_provide:%python_provide python2-tftpy}

%description -n python2-tftpy %_description

%prep
%setup -q -n tftpy-%{version}


%build
%py2_build


%install
%py2_install


%files -n python2-tftpy
%doc README COPYING
%{_bindir}/tftpy_client.py
%{_bindir}/tftpy_server.py
%{python2_sitelib}/tftpy/
%{python2_sitelib}/*.egg-info


%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.6.2-6
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.6.2-4
- Python 2 binary package renamed to python2-tftpy
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Dec 03 2016 Filipe Rosset <rosset.filipe@gmail.com> - 0.6.2-1
- Rebuilt for new upstream release 0.6.2, fixes rhbz #1166406

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Oct 16 2013 Jeff Bastian <jbastian@redhat.com> - 0.6.1-1
- upstream update to v0.6.1

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Mar  8 2013 Jeff Bastian <jbastian@redhat.com> - 0.6.0-1
- initial release of tftpy as an rpm for Fedora 18
